Search Results for

Show / Hide Table of Contents

# Struct Parameters

Content part of Native Ad request.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct Parameters

### Fields

#### assetUrlSupport

Gets or sets aurlsupport flag.

##### Declaration

    [Tooltip("Whether the supply source / impression supports returning an assetsurl instead of an asset object.\nORTB: aurlsupport")]
    public OptionalBool assetUrlSupport

##### Field Value

Type | Description
--- | ---
OptionalBool | Whether the supply source / impression supports returning an assetsurl instead of an asset object.

##### Remarks

ORTB: `aurlsupport`

#### assets

Gets or sets assets.

##### Declaration

    [Tooltip("An array of Asset Objects.\nAny bid response must comply with the array of elements expressed in the bid request.\nORTB: assets")]
    public Assets assets

##### Field Value

Type | Description
--- | ---
Assets | An array of Asset Objects. Any bid response must comply with the array of elements expressed in the bid request.

##### Remarks

ORTB: `assets`

#### contextSubType

Gets or sets context subtype.

##### Declaration

    [Tooltip("A more detailed context in which the ad appears\nORTB: contextsubtype")]
    public Parameters.ContextSubType contextSubType

##### Field Value

Type | Description
--- | ---
Parameters.ContextSubType | A more detailed context in which the ad appears

##### Remarks

ORTB: `contextsubtype`

##### See Also

Parameters.ContextSubType

#### contextType

Gets or sets context type.

##### Declaration

    [Tooltip("The context in which the ad appears.\nORTB: context")]
    public Parameters.ContextType contextType

##### Field Value

Type | Description
--- | ---
Parameters.ContextType | The context in which the ad appears.

##### Remarks

ORTB: `context`

##### See Also

Parameters.ContextType

#### dUrlSupport

Gets or sets durlsupport flag.

##### Declaration

    [Tooltip("Whether the supply source / impression supports returning a dco url instead of an asset object.\nORTB: durlsupport")]
    public OptionalBool dUrlSupport

##### Field Value

Type | Description
--- | ---
OptionalBool | Whether the supply source / impression supports returning a dco url instead of an asset object.

##### Remarks

ORTB: `durlsupport`

#### eventTrackers

Gets or sets event trackers.

##### Declaration

    [Tooltip("Specifies what type of event tracking is supported.\nORTB: eventtrackers")]
    public EventTrackers eventTrackers

##### Field Value

Type | Description
--- | ---
EventTrackers | Specifies what type of event tracking is supported.

##### Remarks

ORTB: `eventtrackers`

##### See Also

EventTracker

#### ext

An optional extension for additional data.

##### Declaration

    [Tooltip("An optional extension for additional data.\nORTB: ext")]
    public ExtSlot ext

##### Field Value

Type | Description
--- | ---
ExtSlot | This object is a placeholder that may contain custom JSON agreed to by the parties to support flexibility beyond the standard defined in ORTB specification.

##### Remarks

ORTB: `ext`

#### placementCount

Gets or sets placements count.

##### Declaration

    [Tooltip("The number of identical placements in this Layout.\nORTB: plcmtcnt")]
    public SerializableOptional<int> placementCount

##### Field Value

Type | Description
--- | ---
SerializableOptional<int> | The number of identical placements in this Layout.

##### Remarks

ORTB: `plcmtcnt`

#### placementType

Gets or sets placement type.

##### Declaration

    [Tooltip("The design/format/layout of the ad unit.\nORTB: plcmttype")]
    public Parameters.PlacementType placementType

##### Field Value

Type | Description
--- | ---
Parameters.PlacementType | The design/format/layout of the ad unit.

##### Remarks

ORTB: `plcmttype`

##### See Also

Parameters.PlacementType

#### privacy

Gets or sets privacy support flag.

##### Declaration

    [Tooltip("Set to 1 when the native ad supports buyer-specific privacy notice.\nORTB: privacy")]
    public OptionalBool privacy

##### Field Value

Type | Description
--- | ---
OptionalBool | Set to 1 when the native ad supports buyer-specific privacy notice.

##### Remarks

ORTB: `privacy`

#### sequence

Gets or sets sequence number.

##### Declaration

    [Tooltip("0 for the first ad, 1 for the second ad, and so on.\nORTB: seq")]
    public SerializableOptional<int> sequence

##### Field Value

Type | Description
--- | ---
SerializableOptional<int> | 0 for the first ad, 1 for the second ad, and so on.

##### Remarks

ORTB: `seq`

### See Also

parameters